RawIDA Class Reference

Secret sharing and information dispersal base class. More...

`#include <ida.h>`

Inheritance diagram for RawIDA:

## Public Member Functions

| RawIDA (BufferedTransformation *attachment=NULL)
unsigned int | GetThreshold () const
void | AddOutputChannel (word32 channelId)
void | ChannelData (word32 channelId, const byte *inString, size_t length, bool messageEnd)
lword | InputBuffered (word32 channelId) const
void | IsolatedInitialize (const NameValuePairs &parameters=g_nullNameValuePairs)
size_t | ChannelPut2 (const std::string &channel, const byte *begin, size_t length, int messageEnd, bool blocking)
| Input multiple bytes for processing on a channel.
Public Member Functions inherited from AutoSignaling< Unflushable< Multichannel< Filter > > >
| AutoSignaling (int propagation=-1)
| Construct an AutoSignaling.
void | SetAutoSignalPropagation (int propagation)
| Set propagation of automatically generated and transferred signals.
int | GetAutoSignalPropagation () const
| Retrieve automatic signal propagation value.
Public Member Functions inherited from Unflushable< Multichannel< Filter > >
bool | Flush (bool completeFlush, int propagation=-1, bool blocking=true)
| Flush buffered input and/or output, with signal propagation.
bool | IsolatedFlush (bool hardFlush, bool blocking)
| Flushes data buffered by this object, without signal propagation.
bool | ChannelFlush (const std::string &channel, bool hardFlush, int propagation=-1, bool blocking=true)
| Flush buffered input and/or output on a channel.
Public Member Functions inherited from Multichannel< Filter >
bool | MessageSeriesEnd (int propagation=-1, bool blocking=true)
| Marks the end of a series of messages, with signal propagation.
byte * | CreatePutSpace (size_t &size)
| Request space which can be written into by the caller.
size_t | Put2 (const byte *inString, size_t length, int messageEnd, bool blocking)
| Input multiple bytes for processing.
size_t | PutModifiable2 (byte *inString, size_t length, int messageEnd, bool blocking)
| Input multiple bytes that may be modified by callee.
byte * | ChannelCreatePutSpace (const std::string &channel, size_t &size)
| Request space which can be written into by the caller.
bool | ChannelPutModifiable (const std::string &channel, byte *inString, size_t length)
| Input multiple bytes that may be modified by callee on a channel.
size_t | ChannelPutModifiable2 (const std::string &channel, byte *begin, size_t length, int messageEnd, bool blocking)
| Input multiple bytes that may be modified by callee on a channel.
Public Member Functions inherited from CustomFlushPropagation< T >

## Detailed Description

Secret sharing and information dispersal base class.

Since
  Crypto++ 1.0

Definition at line 22 of file ida.h.

## Constructor & Destructor Documentation

## RawIDA()

RawIDA::RawIDA | ( | BufferedTransformation * | attachment = `NULL` | ) |

inline

Definition at line 25 of file ida.h.

## Member Function Documentation

## GetThreshold()

unsigned int RawIDA::GetThreshold | ( |  | ) | const

inline

Definition at line 29 of file ida.h.

## AddOutputChannel()

void RawIDA::AddOutputChannel | ( | word32 | channelId | ) |

Definition at line 147 of file ida.cpp.

## ChannelData()

void RawIDA::ChannelData | ( | word32 | channelId,
|  | const byte * | inString,
|  | size_t | length,
|  | bool | messageEnd
| ) |  |

Definition at line 93 of file ida.cpp.

## InputBuffered()

lword RawIDA::InputBuffered | ( | word32 | channelId | ) | const

Definition at line 125 of file ida.cpp.

## IsolatedInitialize()

void RawIDA::IsolatedInitialize | ( | const NameValuePairs & | parameters = `g_nullNameValuePairs` | ) |

Definition at line 23 of file ida.cpp.

## ChannelPut2()

size_t RawIDA::ChannelPut2 | ( | const std::string & | channel,
|  | const byte * | begin,
|  | size_t | length,
|  | int | messageEnd,
|  | bool | blocking
| ) |  |

inline virtual

Input multiple bytes for processing on a channel.

Parameters

  channel | the channel to process the data.
  begin | the byte buffer to process.
  length | the size of the string, in bytes.
  messageEnd | means how many filters to signal MessageEnd() to, including this one.
  blocking | specifies whether the object should block when processing input.

Returns
  the number of bytes that remain to be processed (i.e., bytes not processed)

Implements Multichannel< Filter >.

Definition at line 35 of file ida.h.

The documentation for this class was generated from the following files:

- ida.h
- ida.cpp